%define prefix /usr
%define name aktion
%define version 0.4.1
%define release 4mdk

Summary: A Movie player for KDE
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.geocities.com/SiliconValley/Haven/3864/%{name}-%{version}.tar.bz2
Source1: aktion_menu
Copyright: GPL
Group: Video
BuildRoot: /var/tmp/%{name}-buildroot
Requires: kdebase >= 1.1.1.99_19990715 qt >= 1.44 xanim >= 28010

%description
aKtion! is a video player based on xanim. It (xanim) supports many
different file formats:

FLI animations.
FLC animations.
IFF animations.
GIF87a and GIF89a files
GIF89a animation extension support.
DL animations. Formats 1, 2 and most of 3
Amiga MovieSetter animations(For those Eric Schwartz fans)
Utah Raster Toolkit RLE images and anims
AVI animations.
SGI Movie Format Files.

NOTE: You'll need to have xanim 2.70.7.0 or superior properly
installed in your machine to run aKtion!.

%prep
%setup

%build
%configure --with-install-root=$RPM_BUILD_ROOT/

make

%install
rm -rf $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/aktion

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = 0 ]; then
     [ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi
	 
%files
%defattr(-,root,root,0755)
%{prefix}/lib/menu/aktion
%{prefix}/doc/kde/HTML/en/aktion/aktion.jpg
%{prefix}/doc/kde/HTML/en/aktion/aktion.html
%{prefix}/doc/kde/HTML/en/aktion/kxanim-h.html
%{prefix}/doc/kde/HTML/en/aktion/KXAnim.html
%{prefix}/doc/kde/HTML/en/aktion/q.jpg
%{prefix}/doc/kde/HTML/en/aktion/titulo_aktion.jpg
%{prefix}/doc/kde/HTML/en/aktion/titulo_kxanim.jpg
%{prefix}/doc/kde/HTML/en/aktion/screen.jpg
%{prefix}/doc/kde/HTML/en/aktion/fullscreen.html
%{prefix}/doc/kde/HTML/es/aktion/aktion.jpg
%{prefix}/doc/kde/HTML/es/aktion/aktion.html
%{prefix}/doc/kde/HTML/es/aktion/kxanim-h.html
%{prefix}/doc/kde/HTML/es/aktion/KXAnim.html
%{prefix}/doc/kde/HTML/es/aktion/q.jpg
%{prefix}/doc/kde/HTML/es/aktion/titulo_aktion.jpg
%{prefix}/doc/kde/HTML/es/aktion/titulo_kxanim.jpg
%{prefix}/doc/kde/HTML/es/aktion/screen.jpg
%{prefix}/doc/kde/HTML/es/aktion/fullscreen_es.html
# %{prefix}/share/applnk/Multimedia/aktion.kdelnk
%{prefix}/share/icons/aktion.xpm
%{prefix}/share/icons/mini/aktion.xpm
%{prefix}/share/config/aktionrc
%{prefix}/share/apps/aktion/toolbar/ayuda.xpm
%{prefix}/share/apps/aktion/toolbar/tocar.xpm
%{prefix}/share/apps/aktion/toolbar/pause.xpm
%{prefix}/share/apps/aktion/toolbar/parar.xpm
%{prefix}/share/apps/aktion/toolbar/fileopen.xpm
%{prefix}/share/apps/aktion/toolbar/avanzar.xpm
%{prefix}/share/apps/aktion/toolbar/retroceder.xpm
%{prefix}/share/apps/aktion/toolbar/aktion.xpm
%{prefix}/share/apps/aktion/toolbar/ak_setup.xpm
%{prefix}/share/apps/aktion/toolbar/half.xpm
%{prefix}/share/apps/aktion/toolbar/double.xpm
%{prefix}/share/apps/aktion/toolbar/original.xpm
%{prefix}/share/apps/aktion/toolbar/ak_maximize.xpm
%{prefix}/share/apps/aktion/toolbar/fullscreen.xpm
%{prefix}/share/mimelnk/video/x-aktion-mpeg.kdelnk
%{prefix}/share/mimelnk/video/x-aktion-msvideo.kdelnk
%{prefix}/share/mimelnk/video/x-aktion-quicktime.kdelnk
%{prefix}/share/mimelnk/video/x-aktion-flic.kdelnk
%{prefix}/share/locale/es/LC_MESSAGES/aktion.mo
%{prefix}/share/locale/de/LC_MESSAGES/aktion.mo
%{prefix}/share/locale/hu/LC_MESSAGES/aktion.mo
%{prefix}/share/locale/fr/LC_MESSAGES/aktion.mo
%{prefix}/share/locale/sk/LC_MESSAGES/aktion.mo
%{prefix}/share/locale/it/LC_MESSAGES/aktion.mo
%{prefix}/bin/aktion

%changelog
* Fri May  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.4.1-4mdk
- added MimeType.

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.4.1-3mdk
- Fixed menu entries 
- Removed kde menus links

* Sat Apr 01 2000 Jerome Martin <jerome@mandrakesoft.com> 0.4.1-2mdk
- SPEC file cleanup (groups, changelog, etc.)
- Adding menus and icons

* Mon Mar 13 2000 Daouda LO <daouda@mandrakesoft.com>
- 0.4.1
- changed gif to jpg

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3.6-6mdk
- Use %configure.

* Mon Dec 06 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix documentation directory
- Fix summary

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the spec file.
- Build release.
